/************************************
		B U T T O N   C O L O U R S
	This mixin gives you a button in any
	colour that you want. It then decides
	if the background is dark or light and
	gives you white or dark grey text colour.
*************************************/

%btn{
  // Basic button styles
	border: 0;
	text-indent: 0;
	display: inline-block;
	cursor: pointer;
	outline: none;
  font-weight: 600;
  // Font style within button
	font-style: normal;
	text-decoration: none;
	text-align: center;

  // Button appearance
	border-radius: 4px;
	font-smoothing: antialiased;
	appearance: none;
  text-shadow: 0;

	// Sizing
	padding: 0.844rem 1.5rem;		// THIS
	line-height: 1.125rem; 			// IS
	font-size: 0.875rem; 				// 45PX!

	@include wider-than( tablet ){
		padding: 0.8125rem 2rem;	// THIS
		font-size: 1rem; 		// 50PX!
	}
}

@mixin btn(
	$colour:	$brand-colour,
	$hover: 	desaturate(darken($colour, 6%), 5%),
	$active: 	desaturate(darken($colour, 3%), 5%)
	){
	@extend %btn;

  // Colouring
	color: white;
  transition: box-shadow 0.1s $curve;
  box-shadow: inset 0 0 0rem 10rem fade-out( transparent, 1 );

  &:hover{
    box-shadow: inset 0 0 0rem 10rem fade-out( black, 0.8 );
    color: white;
    text-decoration: none;
  }

  &:focus,
  &:active  {
    box-shadow: inset 0 0 0rem 10rem fade-out( white, 0.8 );
  	color: white;
    box-shadow: none;
  }
}